### Signal

# SpiceClientGLib PortChannel::port-event

since: 0.15

#### Declaration

    void
    port_event (
      SpicePortChannel* self,
      gint event,
      gpointer user_data
    )

#### Description [src]

The `SpicePortChannel::port-event` signal is emitted when new port event is received.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 0.15

#### Parameters

`event`

  Type: `gint`

  The event received.